| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_vector_angle
GTX Extensions (Experimental)

Compute angle between vectors. More...

## Functions
template<typename vecType >
GLM_FUNC_DECL vecType::value_type | angle (vecType const &x, vecType const &y)
| Returns the absolute angle between two vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL T | orientedAngle (tvec2< T, P > const &x, tvec2< T, P > const &y)
| Returns the oriented angle between two 2d vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL T | orientedAngle (tvec3< T, P > const &x, tvec3< T, P > const &y, tvec3< T, P > const &ref)
| Returns the oriented angle between two 3d vectors based from a reference axis. More...

## Detailed Description

Compute angle between vectors.

<glm/gtx/vector_angle.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vecType::value_type glm::angle | ( | vecType const & | x,
|  | vecType const & | y
| ) |  |

Returns the absolute angle between two vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

GLM_FUNC_DECL T glm::orientedAngle | ( | tvec2< T, P > const & | x,
|  | tvec2< T, P > const & | y
| ) |  |

Returns the oriented angle between two 2d vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

GLM_FUNC_DECL T glm::orientedAngle | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y,
|  | tvec3< T, P > const & | ref
| ) |  |

Returns the oriented angle between two 3d vectors based from a reference axis.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.